Flame Lord Kakai:
Orc Shamans have the blessing of Pa'agrio, the Lord of the Flame, and are priests that perform miracles with fire. They bless warriors going into battle to strengthen their allies' attack skills, while placing curses to cripple and hinder their enemies. They are the pride of the Orcs. Their works become far stronger when they act in concert with other Shamans.
Many of the Shamans who have the highest qualifications become Chief Candidates and are called Overlords. Only Shamans can become Overlords. Certain Shamans are also selected as Warcryers, and learn even stronger spells.
Ask about changing profession to an Orc Shaman
Return